"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = require("@testing-library/react");

var _i18next = _interopRequireDefault(require("i18next"));

var _breadcrumb = _interopRequireDefault(require("./breadcrumb"));

var itemsBreadcrumb = [{
  index: 1,
  name: 'Category',
  link: ''
}, {
  index: 2,
  name: 'Items',
  link: ''
}, {
  index: 3,
  name: 'View',
  link: ''
}];
describe('render Breadcrumb component', function () {
  jest.mock('react-i18next', function () {
    return {
      useTranslation: function useTranslation() {
        return {
          t: function t(key) {
            return key;
          }
        };
      }
    };
  });
  test('dark mood', function () {
    (0, _react.render)(React.createElement(_breadcrumb.default, {
      id: 'b1',
      color: 'dark',
      items: itemsBreadcrumb
    }));

    var DatepickerCustomEle = _react.screen.getByTestId('breadcrumb-component-b1');

    expect(DatepickerCustomEle).toBeInTheDocument();
  });
  test('light mood', function () {
    (0, _react.render)(React.createElement(_breadcrumb.default, {
      id: 'b2',
      color: 'light',
      items: itemsBreadcrumb
    }));

    var DatepickerCustomEle = _react.screen.getByTestId('breadcrumb-component-b2');

    expect(DatepickerCustomEle).toBeInTheDocument();
  });
});