"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = require("@testing-library/react");

var _i18next = _interopRequireDefault(require("i18next"));

var _headerWithBreadcrumb = _interopRequireDefault(require("./headerWithBreadcrumb"));

jest.mock('react-i18next', function () {
  return {
    useTranslation: function useTranslation() {
      return {
        t: function t(key) {
          return key;
        }
      };
    }
  };
});
describe('render HeaderWithBreadcrumb component', function () {
  var itemsBreadcrumb = [{
    index: 1,
    name: 'Manufactures',
    link: ''
  }, {
    index: 2,
    name: 'Manufacture creation',
    link: ''
  }];
  test('HeaderWithBreadcrumb component', function () {
    (0, _react.render)(React.createElement(_headerWithBreadcrumb.default, {
      title: 'title',
      items: itemsBreadcrumb,
      secondTitle: 'secondTitle'
    }));

    var HeaderWithBreadcrumbCustomEle = _react.screen.getByTestId('headerWithBreadcrumb');

    expect(HeaderWithBreadcrumbCustomEle).toBeInTheDocument();
  });
});